Subject: [Megaco] What is a profile

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 6 Aug 2001 10:35:24 -0400

In the megaco meeting, we discussed having a (new) charter item on profiles.
I was asked to come up with a precise definition for this work.  My
suggestion is:

Profiles are a mechanism in Megaco (RFC3015/Recommendation H.248) to express
the capabilities of an MG in a compact form in the registration
(ServiceChange)
The MG offers a (single) profile in it's registration command.  The
MGC can decide, based on the profile, whether it is equipped to provide
service to that MG.  It is an alternative to always accepting the MG,
and then auditing it to see if the MGC can handle the capabilities of
the MG.  Profiles are separate documents, which are typically NOT written
by the IETF (or SG-16 of ITU).  For an example of a profile, see
http://www.msforum.org/techinfo/MSF-ARCH-001-FINAL_IA.pdf
The existing RFC does not define the contents of a profile, and there has
been confusion of what should, and should not be in a profile.  The working
group will prepare an informational RFC describing how to create a profile
document.

Brian

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco

---

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 6 Aug 2001 13:03:12 -0400

After discussion with Peter Blatherwick we propose the following:
"
Profiles are a mechanism in Megaco (RFC3015/Recommendation H.248) 
to express the capabilities of an MG in a compact form in the 
registration (ServiceChange).  The MG offers a (currently single)
profile in its registration command.  The MGC can decide, based 
on the profile, whether it is equipped to provide service to that MG.  
For an example of a profile, see
http://www.msforum.org/techinfo/MSF-ARCH-001-FINAL_IA.pdf

The working group will prepare an informational RFC 
describing how to create a profile document and what it should
and should not contain.  Several suggestions for additional
profile mechanisms have been proposed, including IANA registration
of profile names and supporting multiple profiles, which will
be considered for inclusion in this RFC and/or version 2 of Megaco.
"

Questions to the list:
- does this capture why profiles are valuable, and warrant additional work
in IETF? 
- does this capture the needed effort to properly define profiles?

> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Monday, August 06, 2001 10:35 AM
> To: [email-masked]'
> Subject: [Megaco] What is a profile
> 
>